{
	"name": "form/local/input/product/product5/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "product5"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Product ID",
								"attribute": {
									"model": "hdr.pr.product_id"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.pr.product_id"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Name",
								"attribute": {
									"model": "hdr.pr.name"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.pr.name"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical start date",
												"attribute": {
													"model": "hdr.pr.json_data.critical_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.critical_date"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical date",
												"attribute": {
													"model": "hdr.pr.json_data.critical_end_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.critical_end_date"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Coming amount",
												"attribute": {
													"model": "hdr.pr.json_data.coming_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.coming_amount"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Going amount",
												"attribute": {
													"model": "hdr.pr.json_data.going_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.going_amount"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Free amount",
												"attribute": {
													"model": "hdr.pr.json_data.free_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.free_amount"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical start date real",
												"attribute": {
													"model": "hdr.pr.json_data.critical_date_real"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.critical_date_real"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Critical date real",
												"attribute": {
													"model": "hdr.pr.json_data.critical_end_date_real"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.critical_end_date_real"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "True coming amount",
												"attribute": {
													"model": "hdr.pr.json_data.true_coming_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.true_coming_amount"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "True going amount",
												"attribute": {
													"model": "hdr.pr.json_data.true_going_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.true_going_amount"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "True free amount",
												"attribute": {
													"model": "hdr.pr.json_data.true_free_amount"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.true_free_amount"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Stock balance per unit",
												"attribute": {
													"model": "hdr.pr.json_data.stock_balance"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.stock_balance"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.stock_unit"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Stock balance WIP",
												"attribute": {
													"model": "hdr.pr.json_data.stock_balance_wip"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.stock_balance_wip"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.stock_unit"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Shelf stock balance",
												"attribute": {
													"model": "hdr.pr.json_data.shelf_stock_balance"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.shelf_stock_balance"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.stock_unit"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "External storage balance",
												"attribute": {
													"model": "hdr.pr.json_data.external_storage_balance"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.external_storage_balance"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Spare part need",
												"attribute": {
													"model": "hdr.pr.json_data.spare_part_need"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.spare_part_need"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Action limit per unit",
												"attribute": {
													"model": "hdr.pr.json_data.action_limit"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.action_limit"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Stock limit calc. type",
												"attribute": {
													"model": "hdr.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.stock_limit_calc_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Prod. control type",
												"attribute": {
													"model": "hdr.pr.production_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.production_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Forecast days",
												"attribute": {
													"model": "hdr.pr.json_data.forecast_days"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.forecast_days"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Maximum stock",
												"attribute": {
													"model": "hdr.pr.json_data.maximum_stock"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.maximum_stock"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Work order type",
												"attribute": {
													"model": "hdr.pr.json_data.work_order_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.work_order_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Track time status",
												"attribute": {
													"model": "hdr.pr.json_data.track_time_status"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.pr.json_data.track_time_status"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Inventory date",
												"attribute": {
													"model": "hdr.pr.json_data.inventory_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.inventory_date"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Change date",
												"attribute": {
													"model": "hdr.pr.modify_time"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.modify_time"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Last stock removal date",
												"attribute": {
													"model": "hdr.pr.json_data.last_stock_removal_date"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "6/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													":disabled": "true",
													"model": "rec.pr.json_data.last_stock_removal_date"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
